import request from '@/utils/request'

//查询数据源列表
export function selectSourceList(data){
  return request({
    url: "/source/source/list",
    method: "POST",
    data:data
  })
}

// //导出
// export function selectSourceExport(data){
//   return request({
//     url: "/source/source/export",
//     method: "POST",
//     data:data
//   })
// }

//新增
export function insertAdd(data){
  return request({
    url: "/source/source/insert",
    method: "post",
    data:data
  })
}


//获取基本信息
export function getInfo(id){
  return request({
    url: "/source/source/"+id,
    method: "get",
  })
}


//测试连接
export function connectionTest(data){
  return request({
    url: "/source/source/connectionTest",
    method: "post",
    data:data
  })
}


//删除
export function deleteSource(ids){
  return request({
    url: "/source/source/"+ids,
    method: "delete",

  })
}


